<!DOCTYPE html>
<html lang="{{ (grav.language.getActive ?: grav.config.site.default_lang)|e }}">
<head>
{% block head %}
    <meta charset="utf-8">
    <title>CHIC TYPE | Typothèque</title>

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% include 'partials/metadata.html.twig' %}

    <link rel="icon" type="image/png" href="{{ url('theme://images/logo.png')|e }}">
    <link rel="canonical" href="{{ page.canonical(true)|e }}">

    <style>
  {% for workshop in pages.find('/typotheque').children %}
    {% for font in workshop.children %}
        @font-face {
            font-family: '{{font.title}}';
            src: url('{{ base_url_absolute }}{{font.route}}/fichiersfontes/{{font.header.custom.fichiertypo|first.name}}') format('woff');
        }
        .{{ font.title }}{
            font-family:{{ font.title }};
        }
    {% endfor %}
   {% endfor %}

    </style>

{% endblock head %}

{% block stylesheets %}
    {% do assets.addCss('theme://css/custom.css', 98)%}
{% endblock %}

{% block javascripts %}
    {% do assets.addJs('jquery', 100) %}
    {% do assets.addJs('theme://js/jquery-ui.js', 99) %}
    {% do assets.addJs('theme://js/functions.js', 98) %}
{% endblock %}

{% block assets deferred %}
    {{ assets.css()|raw }}
    {{ assets.js()|raw }}
{% endblock %}
</head>
<body id="top" class="{{ page.header.body_classes|e }}">

{% block header %}
    <div class="header" id="header">
        <div id="haut-header">
            <p class="petite-fonte">Typothèque du DNMADE graphisme Augmenté</p>
            <h2 class="titresite">chic type</h2>
            <h5 class="accordion">informations</h5>
        </div>
        
        <div class="panel">

            <p class="texte-back-colophon colophon-open"><br>Workshop réalisé par les deuxièmes années<br>de <a href="https://dnmade-prevert.fr" target="_blank" class="link-typo-texte">DNMADE</a> en mars 2023</p><br>
            <p class="texte-back-colophon">Site codé par<br>Odilon Aouatah,<br>Victor Facon<br>et Louise Roo
                <br><br>
                Textes par<br>Madeleine Meranger<br>et Emelyne Phung
                <br><br>
                Design par<br>Melany Charlec<br>et Scar Descalzi
                <br><br>
                Specimens par<br>Quentin Dissard<br>et Médéric Chapiseau
                <br><br>
                Encadré par Benjamin Dumond<br>de <a href="https://bonjourmonde.net/en" target="_blank" class="link-typo-texte">Bonjour Monde</a>
                <br>
                Sous la supervision<br>de Romuald Roudier
                <br><br>
                <a href="https://gitlab.com/bonjour-monde/projects/typotheque-prevert" class="link-typotheque" target="_blank">Typothèque Gitlab</a>
            </p>
        </div>

    <div class="header-panel-font">
        <hr>
        <p class="texte-back-colophon">Typographie dessinée lors du workshop <span class="workshoptitle"></span> avec <span class="inviteworkshop"></span> en <span class="anneeworkshop"></span>.
        <br><span class="workshoptexte"></span></p>

        <h2><span class="fonttitle"></span></h2>
            <h5 class="accordion"><span class="auteurfont"></span></h5>
        
        <div>
            <p>
                <a class="link-typo" href="">Télécharger la font</a>
            </p>
        </div>
    </div>
    </div>
{% endblock %}

{% block body %}
    <section id="body">
        <div class="wrapper padding">
        {% block content %}{% endblock %}
        </div>
    </section>
{% endblock %}

{% block footer %}

{% endblock %}

{% block bottom %}
    {{ assets.js('bottom')|raw }}
{% endblock %}

</body>


<style>

#haut-header{
    width: 30vw;
    margin: auto;
}

.header-panel-font h2{
    margin-top: 0.2vh;
}

.header{
    text-align: center;
    padding-right: 20px;
}

.texte-back-colophon{
    font-size: 0.7em;
    line-height: 1.3em;
/*    width: 100%;*/
    margin: auto;
    margin-bottom: -13px;
    color: var(--secondary-color);
}

h2{
    color: var(--primary-color);
    font-size: 4em;
    margin-top: -30px;
}

.accordion{
    font-size: 0.7em;
    margin-top: -7vh;
    color: var(--secondary-color);
    width: auto;
}

.link-typo, .link-typo-texte, .link-typotheque{
    color: var(--primary-color);
}

.link-typo-texte{
    text-decoration: none;
}


.header-panel-font{
    padding-left: 20px;
    text-align: center;
    padding-right: 20px;
    display: none;
}


.texte-back-colophon{
    width: 27vw;
}






@media screen and (max-width: 468px) {


.header{
    width: 93vw;
    margin-left: 0.5vw;
    position: fixed;
}

#haut-header{
    width: 90vw;
    margin: auto;
    margin-left: -10px;
}

.panel{
    height: auto;
    padding-bottom: 3vh;
}

.texte-back-colophon{
    width: 80vw;
}


.box{
    height: 100vh;
}

.entree-font{
    left: 0vw;
}

.entree-font h1{
    top: 5vh;
    left: 0vw;
    flex-direction: column;
    justify-content: start;
    display: flex;
    position: absolute;
}

.entree-ascii{
    opacity: 0.5;
}

.header-panel-font{
    overflow: hidden;
}

.header-panel-font hr, .header-panel-font p, .header-panel-font h2{
    margin-left: -10px;
}

}




</style>





</html>
